<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>科目管理</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
</head>
<body>
	<ul class="nav nav-tabs">
		<li class="active"><a href="${ctx}/admin/exam/paper">科目管理</a></li>
	</ul><br/>
	<form:form id="inputForm" modelAttribute="subject" action="${ctx}/admin/exam/subject/save" method="post" class="form-horizontal">
		<form:hidden path="code"/>
		<tags:message content="${message}"/>
		<div class="control-group">
			<label class="control-label">名称</label>
			<div class="controls">
				${subject.name }
			</div>
		</div>
		<div class="control-group">
			<label class="control-label">代码</label>
			<div class="controls">
				${subject.code }
			</div>
		</div>
		<div class="control-group">
        <label class="control-label">及格分</label>
	        <div class="controls">
	            <input name="passScore" type="number" value="${passScore }" class="required"
	                   oninput="if(value<0)value=0"/>
	        </div>
	    </div>
	    <div class="control-group">
	        <label class="control-label">优秀分</label>
	        <div class="controls">
	            <input name="excellentScore" type="number" value="${excellentScore }" class="required"
	                   oninput="if(value<0)value=0"/>
	        </div>
	    </div>
		<div class="control-group">
            <label class="control-label">原图遮盖</label>
            <div class="controls">
                <input name="picList" id="picList"  type="hidden"/>
                <a href="${ctx}/admin/exam/getSheetConfig?examId=${subject.examId}&subjectCode=${subject.code}" target="_blank" class="required" id= "configuration">设置</a>
            </div>
        </div>
		<div class="form-actions">
			<input id="btnSubmit" class="btn btn-primary" type="submit" value="保 存"/>
			<a href="${ctx}/admin/exam/paper" class="btn"/>返回</a>
		</div>
	</form:form>
<script type="text/javascript">
	$(document).ready(function() {
		//$("#name").focus();
		var pictureConfig = '${pictureConfig}';
		window.localStorage.setItem("pictureConfig",pictureConfig);
			
		$("#inputForm").validate({
			
			submitHandler: function(form){
				//alert("studentId="+$("#studentId").val()+" subjectCode="+$("#subjectCode").val());
				loading('正在提交，请稍等...');
				form.submit();
			},
			errorContainer: "#messageBox",
			errorPlacement: function(error, element) {
				$("#messageBox").text("输入有误，请先更正。");
				if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
					error.appendTo(element.parent().parent());
				} else {
					error.insertAfter(element);
				}
			}
		});
	});
</script>	
</body>
</html>
