package cn.com.qmth.stmms.biz.exam.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
@Table(name = "eb_data_sync")
public class DataSync implements Serializable {

    private static final long serialVersionUID = 7371535739573217406L;

    @Id
    private Integer examId;

    @Column(name = "school_id")
    private Integer schoolId;

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "create_time")
    private Date createTime;

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "update_time")
    private Date updateTime;

    @Column(name = "root_org_id", nullable = false)
    private String rootOrgId;

    @Column(name = "cloud_exam_id", nullable = false)
    private Long cloudExamId;

    @Column(name = "subject_code")
    private String subjectCode;

    @Column(name = "next_id")
    private Long nextId;

    @Column(name = "student_url", nullable = false)
    private String studentUrl;

    @Column(name = "app_id", nullable = false)
    private String appId;

    @Column(name = "secret_key", nullable = false)
    private String secretKey;

    @Column(name = "finished", nullable = false)
    private boolean finished;

    @Column(name = "subject_url", nullable = false)
    private String subjectUrl;

    @Column(name = "subject_paper_url", nullable = false)
    private String subjectPaperUrl;

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public Integer getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Integer schoolId) {
        this.schoolId = schoolId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(String rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getCloudExamId() {
        return cloudExamId;
    }

    public void setCloudExamId(Long cloudExamId) {
        this.cloudExamId = cloudExamId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public Long getNextId() {
        return nextId;
    }

    public void setNextId(Long nextId) {
        this.nextId = nextId;
    }

    public String getStudentUrl() {
        return studentUrl;
    }

    public void setStudentUrl(String studentUrl) {
        this.studentUrl = studentUrl;
    }

    public boolean isFinished() {
        return finished;
    }

    public void setFinished(boolean finished) {
        this.finished = finished;
    }

    public String getSubjectUrl() {
        return subjectUrl;
    }

    public void setSubjectUrl(String subjectUrl) {
        this.subjectUrl = subjectUrl;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getSecretKey() {
        return secretKey;
    }

    public void setSecretKey(String secretKey) {
        this.secretKey = secretKey;
    }

    public String getSubjectPaperUrl() {
        return subjectPaperUrl;
    }

    public void setSubjectPaperUrl(String subjectPaperUrl) {
        this.subjectPaperUrl = subjectPaperUrl;
    }

}
