<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title>第三方登录</title>
    <meta name="decorator" content="default"/>
    <%@include file="/WEB-INF/views/include/head.jsp" %>
    <link rel="stylesheet" href="${ctxStatic}/common/open.css">
    <script type="text/javascript">
        $(document).ready(function () {
            if (self.frameElement && self.frameElement.tagName == "IFRAME") {
                parent.location.reload();
            }
            load();
        });
    </script>
</head>
<body>
<div class="flexbox">
  <div class="cont cl">
   <div class="sd">
    <div class="logo"><img src="${ctxStatic}/images/<c:if test="${indexLogo ==null||indexLogo =='' }">logo@2x.png</c:if><c:if test="${indexLogo !=null }">${indexLogo }</c:if>"/></div>
       <p>Copyright &#169武汉启明软件 2012-2014</p>
   </div>
   <div class="mn">
     <div class="optionbox">
      <h1>第三方登录</h1>
      <form action="${ctx}/open/marker/select" method="post" role="form">
        <div class="option">
        <select name="markerId" id="markerId">
        <c:forEach items="${markerList}" var="marker">
          <option value="${marker.id}">${marker.loginName }</option>
        </c:forEach>
        </select>
        </div>
        <div>
        	<div class="tips"  style="display:none;"><em class="error">错误提示</em></div>
        	<div class="open-btn"><a class="opacity" href="">确认</a><a class="grey" href="${ctx}/open/marker/list">返回</a></div>
        </div>
      </form>
     </div>
   </div>
  </div>
</div>
</body>
</html>