<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title><spring:message code="student.search.title"/></title>
    <meta name="decorator" content="default"/>
    <%@include file="/WEB-INF/views/include/head.jsp" %>
    <link rel="stylesheet" href="${ctxStatic}/common/login.css">
    <script type="text/javascript">
        $(document).ready(function () {
            if (self.frameElement && self.frameElement.tagName == "IFRAME") {
                parent.location.reload();
            }
            load();
        });
    </script>
</head>
<body>
<div class="container">
    <div class="middle cl">
        <div class="left">
            <div class="logo"><img
                    src="${ctxStatic}/images/<c:if test="${indexLogo ==null||indexLogo =='' }">logo@2x.png</c:if><c:if test="${indexLogo !=null }">${indexLogo }</c:if>"/>
            </div>
            <p>Copyright &#169武汉启明软件 2012-2014</p>
        </div>
        <div class="right">
            <div class="title">
                <h1 data-i18n-text="student.search.title">学生查询成绩</h1>
                <p>${school.name }</p>
            </div>
            <div class="loginbox">
                <form action="${ctx}/student/${school.id}" method="post" role="form" id="loginForm">
                    <div class="input-group">
                        <input type="text" class="form-control required" name="studentCode" placeholder="请输入学号"
                               autocomplete="off" value="${studentCode }" data-i18n-placeholder="student.search.code"/>
                    </div>
                    <div class="input-group">
                        <input type="text" class="form-control required" name="name" placeholder="请输入姓名"
                               autocomplete="off" value="${name }" data-i18n-placeholder="student.search.name"/>
                    </div>
                    <c:if test="${message != null }">
                    <div class="point <c:if test="${message != null }"></c:if><c:if test="${message == null }">hide</c:if>">
                        <em class="error"><spring:message code="${message }"/></em>
                    </div>
                    </c:if>
                    <div class="login-btn"><input class="opacity" type="submit" value="查 询" data-i18n-value="student.search.submit"/></div>
                </form>
            </div>
        </div>
    </div>
</div>
</body>
</html>